<!DOCTYPE html>
<html lang="en">
  <%- include("../partials/head.ejs")%>
  <body>
    <div class="container">
      <div class="row mt-5">
        <div class="col-4">
          <h3 class="m-0">Halo,</h3>
          <h3 class="m-0">Selamat Datang</h3>
          <form action="/register" method="post" class="mt-3">
            <div class="form-group mb-2">
              <label for="username" class="labelnama">Username</label>
              <input
                type="text"
                name="username"
                class="form-control"
                id="username"
                minlength="6"
                maxlength="12"
              />
            </div>
            <div class="form-group mb-2">
              <label for="email">Email</label>
              <input
                type="email"
                name="email"
                class="form-control"
                id="email"
              />
            </div>
            <div class="form-group mb-2">
              <label for="password">Password</label>
              <input
                type="password"
                name="password"
                class="form-control"
                id="password"
                minlength="8"
                maxlength="16"
              />
            </div>
            <div class="form-group my-4">
              <div class="form-check">
                <input class="form-check-input" type="checkbox" id="privasi" />
                <label class="form-check-label ml-3" for="privasi">
                  Saya setuju dengan kebijakan dan syarat privasi
                </label>
              </div>
            </div>
            <button
              type="submit"
              class="btn btn-primary btn-daftar mt-0 mb-4"
              id="daftar"
              disabled
            >
              Daftar
            </button>

            <script>
              let checkbox = document.querySelector("#privasi");
              let daftarbtn = document.querySelector("#daftar");
              checkbox.onchange = function () {
                if (this.checked) {
                  daftarbtn.disabled = false;
                } else {
                  daftarbtn.disabled = true;
                }
              };
            </script>

                    <div class="hl mt-2 mb-4">
                        <span class="hl-innertext">ATAU</span>
                    </div> 
                    
                    <a href="#" class="google btn mt-2 mb-3">
                        <i class="fa fa-google fa-fw "></i> Daftar dengan Google
                    </a>
                    <a href="#" class="fb btn mb-3">
                        <i class="fa fa-facebook fa-fw"></i> Daftar dengan Facebook
                    </a>

                    <p class="my-3">Sudah punya akun? <a href="/signin">Masuk</a></p>      
                </form>
                
        </div>
        <div class="col-1"></div>
        <div class="col-7">
          <img
            src="assets/img/register-illustration.svg"
            class="img-fluid mt-5 ml-5"
            alt=""
          />
        </div>
      </div>
    </div>
  </body>
</html>
